Skip to main content

List Conversion Events

GET /conversions

List conversion events for your account. Supports filtering by lead, workflow, workflow run, or conversion type. Results are ordered by conversion date (newest first).

Query Parameters

ParameterTypeDefaultDescription
lead_idstring (uuid)Filter by lead ID
workflow_idstring (uuid)Filter by workflow ID
master_workflow_idstring (uuid)Filter by master workflow ID
workflow_run_idstring (uuid)Filter by workflow run ID
conversion_type_idstring (uuid)Filter by conversion type ID
limitinteger50Maximum number of results (max: 200)
offsetinteger0Pagination offset

Examples

List all conversion events

curl https://api.getnexor.ai/api/public/conversions \
-H "X-API-Key: nxr_live_your_api_key"

Filter by lead

curl "https://api.getnexor.ai/api/public/conversions?lead_id=123e4567-e89b-12d3-a456-426614174200" \
-H "X-API-Key: nxr_live_your_api_key"

Paginated results

curl "https://api.getnexor.ai/api/public/conversions?limit=20&offset=40" \
-H "X-API-Key: nxr_live_your_api_key"

Responses

200 — Successful response

{
"success": true,
"conversion_events": [
{
"id": "uuid",
"conversion_type_id": "uuid",
"lead_id": "uuid",
"workflow_id": "uuid",
"master_workflow_id": null,
"workflow_run_id": null,
"amount": 85000.00,
"currency": "USD",
"metadata": {
"property_unit": "Apt 302"
},
"notes": null,
"converted_at": "2026-02-01T15:30:00Z",
"created_at": "2026-02-01T15:30:00Z",
"conversion_types": {
"name": "Reserva",
"category": "intermediary",
"fields": [
{ "key": "property_unit", "label": "Property / Unit", "type": "text" }
]
}
}
],
"total": 1
}

401 — Authentication error

See Authentication.

500 — Internal server error